use crate::repositories;
use beteran_protobuf_rust as bpr;

impl From<&repositories::member_game_setting::models::MemberGameSetting>
  for bpr::models::member_game_setting::MemberGameSetting
{
  fn from(d: &repositories::member_game_setting::models::MemberGameSetting) -> Self {
    bpr::models::member_game_setting::MemberGameSetting {
      id: d.id.to_string(),
      member_id: d.member_id.to_string(),
      can_bet_casino: d.can_bet_casino,
      can_bet_slot: d.can_bet_slot,
      can_bet_powerball: d.can_bet_powerball,
      can_bet_powerladder: d.can_bet_powerladder,
      can_bet_eos: d.can_bet_eos,
      can_bet_bogglepowerball: d.can_bet_bogglepowerball,
      created_at: d.created_at as u64,
      updated_at: d.updated_at as u64,
    }
  }
}
